This tenant's addresses, and for a domain of their own the two DNS records to publish.
curl --request POST \
--url https://app.assetinfinity.ai/api/organization_domains \
--header 'Content-Type: application/json' \
--data '
{
"activated_at": "<string>",
"challenge_record_name": "<string>",
"challenge_record_type": "<string>",
"challenge_record_value": "<string>",
"check_attempts": 123,
"created_at": "<string>",
"hostname": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_primary": true,
"kind": "<string>",
"last_checked_at": "<string>",
"last_failure": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pointer_record_name": "<string>",
"pointer_record_type": "<string>",
"pointer_record_value": "<string>",
"status": "<string>",
"verified_at": "<string>"
}
'import requests
url = "https://app.assetinfinity.ai/api/organization_domains"
payload = {
"activated_at": "<string>",
"challenge_record_name": "<string>",
"challenge_record_type": "<string>",
"challenge_record_value": "<string>",
"check_attempts": 123,
"created_at": "<string>",
"hostname": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_primary": True,
"kind": "<string>",
"last_checked_at": "<string>",
"last_failure": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pointer_record_name": "<string>",
"pointer_record_type": "<string>",
"pointer_record_value": "<string>",
"status": "<string>",
"verified_at": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
activated_at: '<string>',
challenge_record_name: '<string>',
challenge_record_type: '<string>',
challenge_record_value: '<string>',
check_attempts: 123,
created_at: '<string>',
hostname: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_primary: true,
kind: '<string>',
last_checked_at: '<string>',
last_failure: '<string>',
organization_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
pointer_record_name: '<string>',
pointer_record_type: '<string>',
pointer_record_value: '<string>',
status: '<string>',
verified_at: '<string>'
})
};
fetch('https://app.assetinfinity.ai/api/organization_domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Branding
This tenant's addresses, and for a domain of their own the two DNS records to publish.
POST
/
organization_domains
This tenant's addresses, and for a domain of their own the two DNS records to publish.
Headers
Preference
Available options:
return=representation, return=minimal, return=none, resolution=ignore-duplicates, resolution=merge-duplicates Query Parameters
Filtering Columns
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
organization_domains
This tenant's addresses, and for a domain of their own the two DNS records to publish.
Note: This is a Primary Key.
Maximum string length:
20Note:
This is a Foreign Key to copilot_settings.organization_id.
Maximum string length:
30Response
201
Created
Was this page helpful?
⌘I

